Iniciar una exportación
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>"
}
}
],
"format": "csv"
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports"
payload = {
"entities": [
{
"entity": "<string>",
"columns": ["<string>"],
"question": { "search": "<string>" }
}
],
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
[
'entity' => '<string>',
'columns' => [
'<string>'
],
'question' => [
'search' => '<string>'
]
]
],
'format' => 'csv'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: [{entity: '<string>', columns: ['<string>'], question: {search: '<string>'}}],
format: 'csv'
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Exportaciones
Iniciar una exportación
Inicia una exportación de los campos elegidos de los registros que coinciden con un filtro, para uno o varios tipos de registro de un módulo, a archivos CSV o Excel, comprimidos con gzip o zip si lo pides y varios tipos siempre en un solo zip, que se guardan 14 días.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
exports
Iniciar una exportación
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>"
}
}
],
"format": "csv"
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports"
payload = {
"entities": [
{
"entity": "<string>",
"columns": ["<string>"],
"question": { "search": "<string>" }
}
],
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
[
'entity' => '<string>',
'columns' => [
'<string>'
],
'question' => [
'search' => '<string>'
]
]
],
'format' => 'csv'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: [{entity: '<string>', columns: ['<string>'], question: {search: '<string>'}}],
format: 'csv'
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Cuerpo
application/json
¿Esta página le ayudó?